Page MenuHomePhabricator

Saving a new topic can take >5s on beta labs
Closed, DeclinedPublic

Description

After creating and saving a new topic at http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow_QA

the modal dialog spinning while the save is committed can still be present after more than 5 seconds, as indicated by this failure: https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/259/consoleFull

the code:

When(/^I click New topic save$/) do

on(FlowPage) do |page|
  page.new_topic_save_element.when_present.click

  # Wait for the save to finish, at which point the button will hide
  page.new_topic_save_element.when_not_visible
end

end


Version: unspecified
Severity: normal

Details

Reference
bz71476

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz71476.
bzimport added a subscriber: Unknown Object (MLST).

Bump because I am seeing this a lot today when running tests locally against beta labs, it does not seem to be a fluke.

Change 166625 had a related patch set uploaded by Spage:
QA: increase add topic timeout to 10 seconds

https://gerrit.wikimedia.org/r/166625

Change 166625 merged by jenkins-bot:
QA: increase add topic timeout to 10 seconds

https://gerrit.wikimedia.org/r/166625

gerrit 166625 hides the performance issue, but we should investigate and improve Flow performance on beta labs (and test2wiki), so resetting this to NEW.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 8:56 PM
Krinkle closed this task as Declined.Mar 27 2018, 7:07 PM